OpenShot Audio Library | OpenShotAudio: juce::MPEMessages Class Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Static Public Member Functions | Static Public Attributes | List of all members
juce::MPEMessages Class Reference

`#include <juce_MPEMessages.h>`

## Static Public Member Functions
static MidiBuffer | setLowerZone (int numMemberChannels=0, int perNotePitchbendRange=48, int masterPitchbendRange=2)
static MidiBuffer | setUpperZone (int numMemberChannels=0, int perNotePitchbendRange=48, int masterPitchbendRange=2)
static MidiBuffer | setLowerZonePerNotePitchbendRange (int perNotePitchbendRange=48)
static MidiBuffer | setUpperZonePerNotePitchbendRange (int perNotePitchbendRange=48)
static MidiBuffer | setLowerZoneMasterPitchbendRange (int masterPitchbendRange=2)
static MidiBuffer | setUpperZoneMasterPitchbendRange (int masterPitchbendRange=2)
static MidiBuffer | clearLowerZone ()
static MidiBuffer | clearUpperZone ()
static MidiBuffer | clearAllZones ()
static MidiBuffer | setZoneLayout (MPEZoneLayout layout)

## Static Public Attributes
static const int | zoneLayoutMessagesRpnNumber = 6

## Detailed Description

This helper class contains the necessary helper functions to generate MIDI messages that are exclusive to MPE, such as defining the upper and lower MPE zones and setting per-note and master pitchbend ranges. You can then send them to your MPE device using MidiOutput::sendBlockOfMessagesNow.

All other MPE messages like per-note pitchbend, pressure, and third dimension, are ordinary MIDI messages that should be created using the MidiMessage class instead. You just need to take care to send them to the appropriate per-note MIDI channel.

Note: If you are working with an MPEZoneLayout object inside your app, you should not use the message sequences provided here. Instead, you should change the zone layout programmatically with the member functions provided in the MPEZoneLayout class itself. You should also make sure that the Expressive MIDI zone layout of your C++ code and of the MPE device are kept in sync.

See also
  MidiMessage, MPEZoneLayout

Definition at line 48 of file juce_MPEMessages.h.

## Member Function Documentation

## ◆ clearAllZones()

MidiBuffer juce::MPEMessages::clearAllZones | ( |  | ) |
| static

Returns the sequence of MIDI messages that, if sent to an Expressive MIDI device, will clear the lower and upper zones.

Definition at line 76 of file juce_MPEMessages.cpp.

Referenced by setZoneLayout().

## ◆ clearLowerZone()

MidiBuffer juce::MPEMessages::clearLowerZone | ( |  | ) |
| static

Returns the sequence of MIDI messages that, if sent to an Expressive MIDI device, will clear the lower zone.

Definition at line 66 of file juce_MPEMessages.cpp.

Referenced by clearAllZones().

## ◆ clearUpperZone()

MidiBuffer juce::MPEMessages::clearUpperZone | ( |  | ) |
| static

Returns the sequence of MIDI messages that, if sent to an Expressive MIDI device, will clear the upper zone.

Definition at line 71 of file juce_MPEMessages.cpp.

Referenced by clearAllZones().

## ◆ setLowerZone()

MidiBuffer juce::MPEMessages::setLowerZone | ( | int | numMemberChannels = 0,
|  | int | perNotePitchbendRange = 48,
|  | int | masterPitchbendRange = 2 )
| static

Returns the sequence of MIDI messages that, if sent to an Expressive MIDI device, will set the lower MPE zone.

Definition at line 26 of file juce_MPEMessages.cpp.

Referenced by setZoneLayout().

## ◆ setLowerZoneMasterPitchbendRange()

MidiBuffer juce::MPEMessages::setLowerZoneMasterPitchbendRange | ( | int | masterPitchbendRange = 2 | ) |
| static

Returns the sequence of MIDI messages that, if sent to an Expressive MIDI device, will set the master pitchbend range of the lower MPE zone.

Definition at line 56 of file juce_MPEMessages.cpp.

Referenced by setLowerZone().

## ◆ setLowerZonePerNotePitchbendRange()

MidiBuffer juce::MPEMessages::setLowerZonePerNotePitchbendRange | ( | int | perNotePitchbendRange = 48 | ) |
| static

Returns the sequence of MIDI messages that, if sent to an Expressive MIDI device, will set the per-note pitchbend range of the lower MPE zone.

Definition at line 46 of file juce_MPEMessages.cpp.

Referenced by setLowerZone().

## ◆ setUpperZone()

MidiBuffer juce::MPEMessages::setUpperZone | ( | int | numMemberChannels = 0,
|  | int | perNotePitchbendRange = 48,
|  | int | masterPitchbendRange = 2 )
| static

Returns the sequence of MIDI messages that, if sent to an Expressive MIDI device, will set the upper MPE zone.

Definition at line 36 of file juce_MPEMessages.cpp.

Referenced by setZoneLayout().

## ◆ setUpperZoneMasterPitchbendRange()

MidiBuffer juce::MPEMessages::setUpperZoneMasterPitchbendRange | ( | int | masterPitchbendRange = 2 | ) |
| static

Returns the sequence of MIDI messages that, if sent to an Expressive MIDI device, will set the master pitchbend range of the upper MPE zone.

Definition at line 61 of file juce_MPEMessages.cpp.

Referenced by setUpperZone().

## ◆ setUpperZonePerNotePitchbendRange()

MidiBuffer juce::MPEMessages::setUpperZonePerNotePitchbendRange | ( | int | perNotePitchbendRange = 48 | ) |
| static

Returns the sequence of MIDI messages that, if sent to an Expressive MIDI device, will set the per-note pitchbend range of the upper MPE zone.

Definition at line 51 of file juce_MPEMessages.cpp.

Referenced by setUpperZone().

## ◆ setZoneLayout()

MidiBuffer juce::MPEMessages::setZoneLayout | ( | MPEZoneLayout | layout | ) |
| static

Returns the sequence of MIDI messages that, if sent to an Expressive MIDI device, will reset the whole MPE zone layout of the device to the layout passed in. This will first clear the current lower and upper zones, then then set the zones contained in the passed-in zone layout, and set their per-note and master pitchbend ranges to their current values.

Definition at line 86 of file juce_MPEMessages.cpp.

## Member Data Documentation

## ◆ zoneLayoutMessagesRpnNumber

const int juce::MPEMessages::zoneLayoutMessagesRpnNumber = 6
| static

The RPN number used for MPE zone layout messages.

Pitchbend range messages (both per-note and master) are instead sent on RPN 0 as in standard MIDI 1.0.

Definition at line 113 of file juce_MPEMessages.h.

Referenced by clearLowerZone(), clearUpperZone(), setLowerZone(), and setUpperZone().

The documentation for this class was generated from the following files:

- juce_MPEMessages.h
- juce_MPEMessages.cpp